# Class LayerTypeDoc

java.lang.Object
uk.ac.starlink.ttools.build.LayerTypeDoc

public class LayerTypeDoc extends Object
Writes XML text documenting known plot2 LayerTypes. Output is to standard output. This class is designed to be used from its `main` method.

Since:
  15 Sep 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LayerTypeDoc(boolean basicXml)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static LayerType[]`
`getLayerTypes()`
Returns an ordered list of all the LayerTypes used by known plot types.
`static TypedPlot2Task<?,?>[]`
`getPlot2Tasks()`
Returns a list of all the TypedPlot2Tasks known to Stilts.
`String`
`getXmlDoc(LayerType layerType, PlotType<?,?> plotType)`
Returns an XML element giving full user documentation for a given layer type.
`static String`
`layerTypeRef(LayerType ltype)`
Returns XML text that can be used to reference a LayerType description in the user document.
`static void`
`main(String[] args)`
Main method.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayerTypeDoc

public LayerTypeDoc(boolean basicXml)
Constructor.

Parameters:
  `basicXml` - avoid XML constructs that won't show up in text output

## Method Details

### getXmlDoc

public String getXmlDoc(LayerType layerType, PlotType<?,?> plotType)
Returns an XML element giving full user documentation for a given layer type.

Parameters:
  `layerType` - layer type
  `plotType` - plot type with which this layer type is associated if unique; otherwise null
Returns:
  text of <subsect> element

### getPlot2Tasks

public static TypedPlot2Task<?,?>[] getPlot2Tasks() throws uk.ac.starlink.util.LoadException
Returns a list of all the TypedPlot2Tasks known to Stilts.

Returns:
  plot tasks
Throws:
  `uk.ac.starlink.util.LoadException`

### getLayerTypes

public static LayerType[] getLayerTypes() throws uk.ac.starlink.util.LoadException
Returns an ordered list of all the LayerTypes used by known plot types.

Returns:
  known layer types
Throws:
  `uk.ac.starlink.util.LoadException`

### layerTypeRef

public static String layerTypeRef(LayerType ltype)
Returns XML text that can be used to reference a LayerType description in the user document.

Parameters:
  `ltype` - layer type
Returns:
  <ref> element

### main

public static void main(String[] args) throws uk.ac.starlink.util.LoadException
Main method. Try `-help`.

Throws:
  `uk.ac.starlink.util.LoadException`